%bcond_with check

%global goipath         github.com/go-zookeeper/zk
Version:                1.0.2

%gometa

%global common_description %{expand:
Native ZooKeeper client for Go.}

%global golicenses      LICENSE
%global godocs          _examples CONTRIBUTION.md README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Native ZooKeeper client for Go

License:        BSD
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Thu Aug 15 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
